Index: /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDBSynchronizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDBSynchronizer.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDBSynchronizer.cs	(revision 1377)
@@ -0,0 +1,52 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+
+namespace HeuristicLab.DataAccess.Interfaces {
+  /// <summary>
+  /// Transaction manager for the DB access layer
+  /// </summary>
+  public interface IDBSynchronizer {
+    /// <summary>
+    /// This event is fired when an update occurs
+    /// </summary>
+    event EventHandler OnUpdate; 
+
+    /// <summary>
+    /// Enables the auto update of the DB
+    /// </summary>
+    /// <param name="interval"></param>
+    void EnableAutoUpdate(TimeSpan interval);
+
+    /// <summary>
+    /// Disables the auto update of the DB
+    /// </summary>
+    void DisableAutoUpdate();
+
+    /// <summary>
+    /// Update the DB from the cache
+    /// </summary>
+    void UpdateDB();
+  }
+}
Index: /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDataAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDataAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.DataAccess/Interfaces/IDataAdapter.cs	(revision 1377)
@@ -0,0 +1,55 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+
+namespace HeuristicLab.DataAccess.Interfaces {
+  public interface IDataAdapter<ObjT>
+    where ObjT: IPersistableObject
+  {
+    /// <summary>
+    /// Save or update the object
+    /// </summary>
+    /// <param name="user"></param>
+    void Update(ObjT obj);
+
+    /// <summary>
+    /// Get the object with the specified ID
+    /// </summary>
+    /// <param name="userId"></param>
+    /// <returns></returns>
+    ObjT GetById(long id);
+
+    /// <summary>
+    /// Get all objects
+    /// </summary>
+    /// <returns></returns>
+    ICollection<ObjT> GetAll();
+
+    /// <summary>
+    /// Deletes the object
+    /// </summary>
+    /// <param name="user"></param>
+    bool Delete(ObjT obj);
+  }
+}
Index: /trunk/sources/HeuristicLab.DataAccess/Interfaces/IPersistableObject.cs
===================================================================
--- /trunk/sources/HeuristicLab.DataAccess/Interfaces/IPersistableObject.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.DataAccess/Interfaces/IPersistableObject.cs	(revision 1377)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+
+namespace HeuristicLab.DataAccess.Interfaces {
+  public interface IPersistableObject {
+    long Id { get; set;  }
+  }
+}
Index: /trunk/sources/HeuristicLab.DataAccess/PersistableObject.cs
===================================================================
--- /trunk/sources/HeuristicLab.DataAccess/PersistableObject.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.DataAccess/PersistableObject.cs	(revision 1377)
@@ -0,0 +1,46 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Runtime.Serialization;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.DataAccess {
+  [DataContract]
+  public class PersistableObject: IPersistableObject {
+    [DataMember]
+    public long Id { get; set; }
+
+    public override bool Equals(object obj) {
+      if (obj is IPersistableObject)
+        return this.Id.Equals(
+          (obj as IPersistableObject).Id);
+      else
+        return base.Equals(obj);
+    }
+
+    public override int GetHashCode() {
+      return this.Id.GetHashCode();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 1377)
@@ -89,4 +89,8 @@
       <Name>HeuristicLab.Core</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Client.Common\HeuristicLab.Hive.Client.Common.csproj">
       <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 1377)
@@ -106,4 +106,8 @@
       <Name>HeuristicLab.Core</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Client.Common\HeuristicLab.Hive.Client.Common.csproj">
       <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientConfig.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientConfig.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientConfig.cs	(revision 1377)
@@ -25,9 +25,10 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
 
   [DataContract]
-  public class ClientConfig: HiveBaseObject {
+  public class ClientConfig : PersistableObject {
     [DataMember]
     public String UpDownTimeCalendar { get; set; } // TODO define DataStructure
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Job.cs	(revision 1377)
@@ -25,13 +25,14 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
 
   [DataContract]
-  public class Job : HiveBaseObject {
+  public class Job : PersistableObject {
     [DataMember]
     public State State { get; set; }
     [DataMember]
-    public User User { get; set; }
+    public Guid UserId { get; set; }
     [DataMember]
     public ClientInfo Client { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/JobResult.cs	(revision 1377)
@@ -25,9 +25,10 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
 
   [DataContract]
-  public class JobResult: HiveBaseObject {
+  public class JobResult : PersistableObject {
     [DataMember]
     public Job Job { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Resource.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Resource.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Resource.cs	(revision 1377)
@@ -25,9 +25,10 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
 
   [DataContract]
-  public class Resource: HiveBaseObject {
+  public class Resource : PersistableObject {
     [DataMember]
     public string Name { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/UpTimeStatistics.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/UpTimeStatistics.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/UpTimeStatistics.cs	(revision 1377)
@@ -25,11 +25,10 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
 
   [DataContract]
-  public class UpTimeStatistics: IHiveObject {
-    [DataMember]
-    public long Id { get; set; }
+  public class UpTimeStatistics : PersistableObject {
     [DataMember]
     public ClientInfo Client { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1377)
@@ -71,19 +71,12 @@
   <ItemGroup>
     <Compile Include="ApplicationConstants.cs" />
-    <Compile Include="BusinessObjects\GrantedPermissions.cs" />
     <Compile Include="BusinessObjects\ClientGroup.cs" />
     <Compile Include="BusinessObjects\HeartBeatData.cs" />
-    <Compile Include="BusinessObjects\HiveBaseObject.cs" />
-    <Compile Include="BusinessObjects\IHiveObject.cs" />
     <Compile Include="BusinessObjects\Job.cs" />
     <Compile Include="BusinessObjects\JobResult.cs" />
-    <Compile Include="BusinessObjects\Permission.cs" />
-    <Compile Include="BusinessObjects\PermissionOwner.cs" />
     <Compile Include="BusinessObjects\Resource.cs" />
     <Compile Include="BusinessObjects\UpTimeStatistics.cs" />
     <Compile Include="BusinessObjects\Client.cs" />
     <Compile Include="BusinessObjects\ClientConfig.cs" />
-    <Compile Include="BusinessObjects\User.cs" />
-    <Compile Include="BusinessObjects\UserGroup.cs" />
     <Compile Include="Interfaces\IClientFacade.cs" />
     <Compile Include="Interfaces\IExecutionEngineFacade.cs" />
@@ -94,5 +87,4 @@
     <Compile Include="Interfaces\IServerConsoleFacade.cs" />
     <Compile Include="Interfaces\ITransactionManager.cs" />
-    <Compile Include="Interfaces\IUserRoleManager.cs" />
     <Compile Include="MessageContainer.cs" />
     <Compile Include="ResponseJob.cs" />
@@ -110,4 +102,8 @@
       <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
       <Name>HeuristicLab.Core</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
Index: /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/ILifecycleManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/ILifecycleManager.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/ILifecycleManager.cs	(revision 1377)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Hive.Contracts.Interfaces {    
@@ -54,5 +55,5 @@
     /// </summary>
     /// <returns></returns>
-    ITransactionManager GetTransactionManager();
+    IDBSynchronizer GetDBSynchronizer();
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IServerConsoleFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IServerConsoleFacade.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IServerConsoleFacade.cs	(revision 1377)
@@ -33,6 +33,5 @@
   [ServiceContract(SessionMode=SessionMode.Required)]
   public interface IServerConsoleFacade : IClientManager, 
-    IJobManager, 
-    IUserRoleManager {
+    IJobManager {
     [OperationContract]
     Response Login(String username, String password); 
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1377)
@@ -24,7 +24,9 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using System.Linq.Expressions;
+using HeuristicLab.DataAccess.Interfaces;
+using HeuristicLab.DataAccess.ADOHelper;
 
 namespace HeuristicLab.Hive.Server.ADODataAccess {
@@ -73,5 +75,6 @@
     #endregion
 
-    public ClientAdapter() {
+    public ClientAdapter():
+      base(ServiceLocator.GetDBSynchronizer()) {
       parentAdapters.Add(this.ResAdapter as ICachedDataAdapter);
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 1377)
@@ -25,7 +25,8 @@
 using System.Text;
 
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using System.Data;
+using HeuristicLab.DataAccess.ADOHelper;
 
 namespace HeuristicLab.Hive.Server.ADODataAccess {
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 1377)
@@ -64,8 +64,6 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="CachedDataAdapter.cs" />
     <Compile Include="ClientAdapter.cs" />
     <Compile Include="ClientGroupAdapter.cs" />
-    <Compile Include="DataAdapterBase.cs" />
     <Compile Include="dsHiveServer.cs">
       <DependentUpon>dsHiveServer.xsd</DependentUpon>
@@ -78,8 +76,6 @@
     </Compile>
     <Compile Include="HiveServerADODataAccessPlugin.cs" />
-    <Compile Include="ICachedDataAdapter.cs" />
     <Compile Include="JobAdapter.cs" />
     <Compile Include="JobResultsAdapter.cs" />
-    <Compile Include="PermissionOwnerAdapter.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Properties\Settings.Designer.cs">
@@ -89,7 +85,4 @@
     </Compile>
     <Compile Include="ResourceAdapter.cs" />
-    <Compile Include="TransactionManager.cs" />
-    <Compile Include="UserAdapter.cs" />
-    <Compile Include="UserGroupAdapter.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -114,4 +107,12 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataAccess.ADOHelper\HeuristicLab.DataAccess.ADOHelper.csproj">
+      <Project>{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}</Project>
+      <Name>HeuristicLab.DataAccess.ADOHelper</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -121,4 +122,8 @@
       <Project>{898B31CF-81DC-453B-AEB3-BDF83197A7EE}</Project>
       <Name>HeuristicLab.Hive.Server.Core</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Server.DataAccess\HeuristicLab.Hive.Server.DataAccess.csproj">
+      <Project>{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}</Project>
+      <Name>HeuristicLab.Hive.Server.DataAccess</Name>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1377)
@@ -24,7 +24,8 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using System.Linq.Expressions;
+using HeuristicLab.DataAccess.ADOHelper;
 
 namespace HeuristicLab.Hive.Server.ADODataAccess {
@@ -35,4 +36,8 @@
                       dsHiveServer.JobDataTable>, 
     IJobAdapter {
+    public JobAdapter() : 
+      base(ServiceLocator.GetDBSynchronizer()) {
+    }
+
     #region Fields
     private IClientAdapter clientAdapter = null;
@@ -44,16 +49,4 @@
 
         return clientAdapter;
-      }
-    }
-
-    private IUserAdapter userAdapter = null;
-
-    private IUserAdapter UserAdapter {
-      get {
-        if (userAdapter == null) {
-          userAdapter = ServiceLocator.GetUserAdapter();
-        }
-
-        return userAdapter;
       }
     }
@@ -89,7 +82,7 @@
 
         if (!row.IsPermissionOwnerIdNull())
-          job.User = UserAdapter.GetById(row.PermissionOwnerId);
-        else
-          job.User = null;
+          job.UserId = Guid.Empty;
+        else
+          job.UserId = Guid.Empty;
         
         if (!row.IsJobStateNull())
@@ -149,9 +142,8 @@
           row.SetParentJobIdNull();
 
-        if (job.User != null) {
+        if (job.UserId != Guid.Empty) {
           if (row.IsPermissionOwnerIdNull() ||
-           row.PermissionOwnerId != job.User.Id) {
-            UserAdapter.Update(job.User);
-            row.PermissionOwnerId = job.User.Id;
+           row.PermissionOwnerId != 0) {
+            row.PermissionOwnerId = 0;
           }
         } else
@@ -315,10 +307,11 @@
     }
 
-    public ICollection<Job> GetJobsOf(User user) {
-      if (user != null) {
-        return 
+    public ICollection<Job> GetJobsOf(Guid userId) {
+      throw new NotImplementedException();  
+      
+      return 
           base.FindMultiple(
             delegate() {
-              return Adapter.GetDataByUser(user.Id);
+              return Adapter.GetDataByUser(0);
             },
             delegate() {
@@ -326,8 +319,7 @@
                 cache.AsEnumerable<dsHiveServer.JobRow>()
               where !job.IsPermissionOwnerIdNull() &&
-                job.PermissionOwnerId == user.Id
+                job.PermissionOwnerId == 0
               select job;
             });
-      }
 
       return null;
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs	(revision 1377)
@@ -3,6 +3,7 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.ADOHelper;
 
 namespace HeuristicLab.Hive.Server.ADODataAccess {
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs	(revision 1377)
@@ -24,6 +24,7 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.ADOHelper;
 
 namespace HeuristicLab.Hive.Server.ADODataAccess {
@@ -35,4 +36,8 @@
       dsHiveServer.ResourceDataTable>,  
     IResourceAdapter {
+    public ResourceAdapter(): 
+      base(ServiceLocator.GetDBSynchronizer()) {
+    }
+
     #region Fields
     private IClientAdapter clientAdapter = null;
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/dsHiveServer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/dsHiveServer.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/dsHiveServer.cs	(revision 1377)
@@ -15,5 +15,5 @@
 }
 
-namespace dsHiveServerTableAdapters {
+namespace HeuristicLab.Hive.Server.ADODataAccess.dsHiveServerTableAdapters {
     
     
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 1377)
@@ -73,10 +73,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="AddUserForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="AddUserForm.Designer.cs">
-      <DependentUpon>AddUserForm.cs</DependentUpon>
-    </Compile>
     <Compile Include="AddJobForm.cs">
       <SubType>Form</SubType>
@@ -100,7 +94,4 @@
     <Compile Include="HiveServerConsolePlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <EmbeddedResource Include="AddUserForm.resx">
-      <DependentUpon>AddUserForm.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="AddJobForm.resx">
       <DependentUpon>AddJobForm.cs</DependentUpon>
@@ -142,4 +133,8 @@
       <Name>HeuristicLab.Core</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1377)
@@ -164,5 +164,4 @@
       this.userToolStripMenuItem1.Size = new System.Drawing.Size(114, 22);
       this.userToolStripMenuItem1.Text = "User";
-      this.userToolStripMenuItem1.Click += new System.EventHandler(this.AddUser_Click);
       // 
       // groupToolStripMenuItem2
@@ -171,5 +170,4 @@
       this.groupToolStripMenuItem2.Size = new System.Drawing.Size(114, 22);
       this.groupToolStripMenuItem2.Text = "Group";
-      this.groupToolStripMenuItem2.Click += new System.EventHandler(this.AddUserGroup_Click);
       // 
       // tcManagementConsole
@@ -337,5 +335,4 @@
       this.tvUserControl.Size = new System.Drawing.Size(139, 346);
       this.tvUserControl.TabIndex = 1;
-      this.tvUserControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVUserControlClicked);
       // 
       // lvUserControl
@@ -349,5 +346,4 @@
       this.lvUserControl.TabIndex = 1;
       this.lvUserControl.UseCompatibleStateImageBehavior = false;
-      this.lvUserControl.Click += new System.EventHandler(this.OnLVUserControlClicked);
       // 
       // ilUserControl
